<template>
  <div class="hello">
    <RefComponent ref="componentRef"/>
    <ParentChildren/>
  </div>
</template>

<script>
import RefComponent from './RefComponent'

import ParentChildren from './ParentChildren'

export default {
  name: 'HelloWorld',
  data () {
    return {
      msg: 'HelloWrld'
    }
  },
  components:{
    RefComponent,
    ParentChildren
  },
  mounted(){
    console.log(this.$refs.componentRef.refComponent);
    this.$refs.componentRef.sayHello();
    console.log(this.$children[1].parentChild);
    this.$children[1].sayHello()
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
